## python3.6 3.6.0~b2

=== Doc/Makefile ===
#
# Makefile for Python documentation
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#

# You can set these variables from the command line.
PYTHON       = python
SPHINXBUILD  = sphinx-build
PAPER        =
SOURCES      =
DISTVERSION  = $(shell $(PYTHON) tools/extensions/patchlevel.py)

ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) . build/$(BUILDER) $(SOURCES)

.PHONY: help build html htmlhelp latex text changes linkcheck \
	suspicious coverage doctest pydoc-topics htmlview clean dist check serve \
	autobuild-dev autobuild-stable venv

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  clean      to remove build files"
	@echo "  venv       to create a venv with necessary tools"
	@echo "  html       to make standalone HTML files"
	@echo "  htmlview   to open the index page built by the html target in your browser"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  text       to make plain text files"
	@echo "  epub       to make EPUB files"
	@echo "  changes    to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  coverage   to check documentation coverage for library and C API"
	@echo "  doctest    to run doctests in the documentation"
	@echo "  pydoc-topics  to regenerate the pydoc topics file"
	@echo "  dist       to create a \"dist\" directory with archived docs for download"
	@echo "  suspicious to check for suspicious markup in output text"
	@echo "  check      to run a check for frequent markup errors"
	@echo "  serve      to serve the documentation on the localhost (8000)"

build:
	$(SPHINXBUILD) $(ALLSPHINXOPTS)
	@echo

html: BUILDER = html
html: build
	@echo "Build finished. The HTML pages are in build/html."

htmlhelp: BUILDER = htmlhelp
htmlhelp: build
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      "build/htmlhelp/pydoc.hhp project file."

latex: BUILDER = latex
latex: build
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

text: BUILDER = text
text: build
	@echo "Build finished; the text files are in build/text."

epub: BUILDER = epub
epub: build
	@echo "Build finished; the epub files are in build/epub."

changes: BUILDER = changes
changes: build
	@echo "The overview file is in build/changes."

linkcheck: BUILDER = linkcheck
linkcheck:
	@$(MAKE) build BUILDER=$(BUILDER) || { \
	echo "Link check complete; look for any errors in the above output" \
	     "or in build/$(BUILDER)/output.txt"; \
	false; }

suspicious: BUILDER = suspicious
suspicious:
	@$(MAKE) build BUILDER=$(BUILDER) || { \
	echo "Suspicious check complete; look for any errors in the above output" \
	     "or in build/$(BUILDER)/suspicious.csv.  If all issues are false" \
	     "positives, append that file to tools/susp-ignored.csv."; \
	false; }

coverage: BUILDER = coverage
coverage: build
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

doctest: BUILDER = doctest
doctest:
	@$(MAKE) build BUILDER=$(BUILDER) || { \
	echo "Testing of doctests in the sources finished, look at the" \
	     "results in build/doctest/output.txt"; \
	false; }

pydoc-topics: BUILDER = pydoc-topics
pydoc-topics: build
	@echo "Building finished; now run this:" \
	      "cp build/pydoc-topics/topics.py ../Lib/pydoc_data/topics.py"

htmlview: html
	 $(PYTHON) -c "import webbrowser; webbrowser.open('build/html/index.html')"

clean:
	-rm -rf build/* venv/*

venv:
	$(PYTHON) -m venv venv
	./venv/bin/python3 -m pip install -U Sphinx

dist:
	rm -rf dist
	mkdir -p dist

	# archive the HTML
	make html
	cp -pPR build/html dist/python-$(DISTVERSION)-docs-html
	tar -C dist -cf dist/python-$(DISTVERSION)-docs-html.tar python-$(DISTVERSION)-docs-html
	bzip2 -9 -k dist/python-$(DISTVERSION)-docs-html.tar
	(cd dist; zip -q -r -9 python-$(DISTVERSION)-docs-html.zip python-$(DISTVERSION)-docs-html)
	rm -r dist/python-$(DISTVERSION)-docs-html
	rm dist/python-$(DISTVERSION)-docs-html.tar

	# archive the text build
	make text
	cp -pPR build/text dist/python-$(DISTVERSION)-docs-text
	tar -C dist -cf dist/python-$(DISTVERSION)-docs-text.tar python-$(DISTVERSION)-docs-text
	bzip2 -9 -k dist/python-$(DISTVERSION)-docs-text.tar
	(cd dist; zip -q -r -9 python-$(DISTVERSION)-docs-text.zip python-$(DISTVERSION)-docs-text)
	rm -r dist/python-$(DISTVERSION)-docs-text
	rm dist/python-$(DISTVERSION)-docs-text.tar

	# archive the A4 latex
	rm -rf build/latex
	make latex PAPER=a4
	-sed -i 's/makeindex/makeindex -q/' build/latex/Makefile
	(cd build/latex; make clean && make all-pdf && make FMT=pdf zip bz2)
	cp build/latex/docs-pdf.zip dist/python-$(DISTVERSION)-docs-pdf-a4.zip
	cp build/latex/docs-pdf.tar.bz2 dist/python-$(DISTVERSION)-docs-pdf-a4.tar.bz2

	# archive the letter latex
	rm -rf build/latex
	make latex PAPER=letter
	-sed -i 's/makeindex/makeindex -q/' build/latex/Makefile
	(cd build/latex; make clean && make all-pdf && make FMT=pdf zip bz2)
	cp build/latex/docs-pdf.zip dist/python-$(DISTVERSION)-docs-pdf-letter.zip
	cp build/latex/docs-pdf.tar.bz2 dist/python-$(DISTVERSION)-docs-pdf-letter.tar.bz2

	# copy the epub build
	rm -rf build/epub
	make epub
	cp -pPR build/epub/Python.epub dist/python-$(DISTVERSION)-docs.epub

check:
	$(PYTHON) tools/rstlint.py -i tools -i venv

serve:
	../Tools/scripts/serve.py build/html

# Targets for daily automated doc build

# for development releases: always build
autobuild-dev:
	make dist SPHINXOPTS='-A daily=1 -A versionswitcher=1'
	-make suspicious

# for quick rebuilds (HTML only)
autobuild-dev-html:
	make html SPHINXOPTS='-A daily=1 -A versionswitcher=1'

# for stable releases: only build if not in pre-release stage (alpha, beta)
# release candidate downloads are okay, since the stable tree can be in that stage
autobuild-stable:
	@case $(DISTVERSION) in *[ab]*) \
		echo "Not building; $(DISTVERSION) is not a release version."; \
		exit 1;; \
	esac
	@make autobuild-dev

autobuild-stable-html:
	@case $(DISTVERSION) in *[ab]*) \
		echo "Not building; $(DISTVERSION) is not a release version."; \
		exit 1;; \
	esac
	@make autobuild-dev-html

=== debian/changelog ===
python3.6 (3.6.0~b2-1) experimental; urgency=medium

  * Python 3.6.0 beta 2.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Oct 2016 07:27:10 +0200

python3.6 (3.6.0~b1-1) experimental; urgency=medium

  * Python 3.6.0 beta 1.
  * Don't build the fpectl module on hppa. Addresses: #837314.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Sep 2016 13:59:11 +0200

python3.6 (3.6.0~a4-1) experimental; urgency=medium

  * Python 3.6.0 alpha 4.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Aug 2016 08:29:13 +0200

python3.6 (3.6.0~a3-1) experimental; urgency=medium

  * Python 3.6.0 alpha 3.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Jul 2016 11:12:59 +0200

python3.6 (3.6.0~a2-1) experimental; urgency=medium

  * Python 3.6.0 alpha 2.
  * Update to 20160614 from the trunk.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jun 2016 13:36:38 +0200

python3.6 (3.6.0~a1-1) experimental; urgency=medium

  * Python 3.6.0 alpha 1.

 -- Matthias Klose <doko@debian.org>  Wed, 18 May 2016 10:11:08 +0200

python3.5 (3.5.1-12) unstable; urgency=medium

  * Update to 20160509 from the 3.5 branch.
    - Issue #26811: gc.get_objects() no longer contains a broken tuple with
      NULL pointer.
    - Issue #20120: Use RawConfigParser for .pypirc parsing, removing support
      for interpolation unintentionally added with move to Python 3. Behavior
      no longer does any interpolation in .pypirc files, matching behavior in
      Python 2.7 and Setuptools 19.0.
    - Issue #25745: Fixed leaking a userptr in curses panel destructor.
    - Issue #26881: The modulefinder module now supports extended opcode
      arguments.
    - Issue #23815: Fixed crashes related to directly created instances of
      types in _tkinter and curses.panel modules.
    - Issue #17765: weakref.ref() no longer silently ignores keyword arguments.
    - Issue #26873: xmlrpc now raises ResponseError on unsupported type tags
      instead of silently return incorrect result.
    - Issue #26881: modulefinder now works with bytecode with extended args.
    - Issue #26711: Fixed the comparison of plistlib.Data with other types.
    - Issue #24114: Fix an uninitialized variable in `ctypes.util`.
    - Issue #26864: In urllib.request, change the proxy bypass host checking
      against no_proxy to be case-insensitive, and to not match unrelated host
      names that happen to have a bypassed hostname as a suffix.
    - Issue #26634: recursive_repr() now sets __qualname__ of wrapper.
    - Issue #26804: urllib.request will prefer lower_case proxy environment
      variables over UPPER_CASE or Mixed_Case ones.
    - Issue #26837: assertSequenceEqual() now correctly outputs non-stringified
      differing items (like bytes in the -b mode).
      This affects assertListEqual() and assertTupleEqual().
    - Issue #26041: Remove "will be removed in Python 3.7" from deprecation
      messages of platform.dist() and platform.linux_distribution().
    - Issue #26822: itemgetter, attrgetter and methodcaller objects no longer
      silently ignore keyword arguments.
    - Issue #26733: Disassembling a class now disassembles class and static
      methods.
    - Issue #26801: Fix error handling in :func:`shutil.get_terminal_size`,
      catch :exc:`AttributeError` instead of :exc:`NameError`.
    - Issue #24838: tarfile's ustar and gnu formats now correctly calculate name
      and link field limits for multibyte character encodings like utf-8.
    - Issue #26657: Fix directory traversal vulnerability with http.server on
      Windows.
    - Issue #26736: Used HTTPS for external links in the documentation if
      possible.
    - Issue #22359: Disable the rules for running _freeze_importlib and pgen
      when cross-compiling.  The output of these programs is normally saved
      with the source code anyway, and is still regenerated when doing a
      native build. Closes: #820509.
    - Issue #21668: Link audioop, _datetime, _ctypes_test modules to libm.
    - Issue #26799: Fix python-gdb.py: don't get C types once when the Python
      code is loaded, but get C types on demand. The C types can change if
      python-gdb.py is loaded before the Python executable.
  * Fix issue #26673, runtime error in idle3. LP: #1574892.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 09 May 2016 13:00:17 +0200

python3.5 (3.5.1-11) unstable; urgency=medium

  * Update to 20160330 from the 3.5 branch.
    - Issue #26659: Make the builtin slice type support cycle collection.
    - Issue #26718: super.__init__ no longer leaks memory if called multiple
      times.  NOTE: A direct call of super.__init__ is not endorsed!
    - Issue #25339: PYTHONIOENCODING now has priority over locale in setting
      the error handler for stdin and stdout.
    - Issue #26717: Stop encoding Latin-1-ized WSGI paths with UTF-8.
    - Issue #26735: Fix :func:`os.urandom` on Solaris 11.3 and newer when
      reading more than 1,024 bytes: call ``getrandom()`` multiple times with
      a limit of 1024 bytes per call.
    - Issue #16329: Add .webm to mimetypes.types_map.
    - Issue #13952: Add .csv to mimetypes.types_map.
    - Issue #26709: Fixed Y2038 problem in loading binary PLists.
    - Issue #23735: Handle terminal resizing with Readline 6.3+ by installing
      our own SIGWINCH handler.
    - Issue #26586: In http.server, respond with "413 Request header fields too
      large" if there are too many header fields to parse, rather than killing
      the connection and raising an unhandled exception.
    - Issue #22854: Change BufferedReader.writable() and
      BufferedWriter.readable() to always return False.
    - Issue #6953: Rework the Readline module documentation to group related
      functions together, and add more details such as what underlying Readline
      functions and variables are accessed.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2016 18:14:06 +0200

python3.5 (3.5.1-10) unstable; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f

unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES
unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

vafilt		= $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS	:= $(shell dpkg-architecture)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_ARCH_ENDIAN	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_ENDIAN)
DEB_HOST_ARCH_OS	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_OS),linux)
  PLAT = linux
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  PLAT = gnukfreebsd10
else ifeq ($(DEB_HOST_ARCH_OS),hurd)
  PLAT = gnu0
else
  $(warning unhandled operating system name: $(DEB_HOST_ARCH_OS))
  PLAT = unknown
endif

CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
	sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE  := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

LAST_CHANGE := $(shell dpkg-parsechangelog -S Date)
export BUILD_DATE := $(shell LC_ALL=C date -u +'%b %e %Y' -d '$(LAST_CHANGE)')
export BUILD_TIME := $(shell LC_ALL=C date -u +'%H:%M:%S' -d '$(LAST_CHANGE)')

SPHINXOPTS := -D today='$(shell LC_ALL=C date -u +'%B %d, %Y' -d '$(LAST_CHANGE)')'
SPHINXOPTS += -D html_last_updated_fmt='$(shell LC_ALL=C date -u +'%B %d, %Y' -d '$(LAST_CHANGE)')'
export SPHINXOPTS

on_buildd := $(shell [ -f /CurrentlyBuilding -o "$$LOGNAME" = buildd -o "$$USER" = buildd ] && echo yes)

dh_compat2 := $(shell dpkg --compare-versions "$$(dpkg-query -f '$${Version}' -W debhelper)" lt 9.20150811ubuntu2 && echo DH_COMPAT=2)

ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
  WITHOUT_CHECK := yes
endif
WITHOUT_BENCH :=
ifneq (,$(findstring nobench, $(DEB_BUILD_OPTIONS)))
  WITHOUT_BENCH := yes
endif
ifeq ($(on_buildd),yes)
  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el s390 hurd-i386 kfreebsd-amd64 kfreebsd-i386))
    WITHOUT_CHECK := yes
  endif
  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el s390 hurd-i386 kfreebsd-amd64 kfreebsd-i386))
    WITHOUT_BENCH := yes
    WITHOUT_STONE := yes
  endif
endif
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  WITHOUT_BENCH := yes
  WITHOUT_CHECK := yes
  WITHOUT_STONE := yes
endif
  WITHOUT_CHECK := yes
  WITHOUT_BENCH := yes

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

distribution := $(shell lsb_release -is)
distrelease  := $(shell lsb_release -cs)

VER=3.6
SVER=3.6.0~b2
NVER=3.7
PVER=python$(VER)
EXT_VER=$(subst .,,$(VER))
PRIORITY=$(shell echo $(VER) | tr -d '.')0

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)

# default versions are built from the python-defaults source package
# keep the definition to adjust package priorities.
DEFAULT_VERSION = no
STATIC_PYTHON=yes

MIN_MODS := $(shell awk '/^  / && $$2 == "module" { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_EXTS := $(shell awk '/^  / && $$2 ~ /^extension/ { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_BUILTINS := $(shell awk '/^  / && $$2 == "builtin" { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_PACKAGES := $(shell awk '/^  / && $$2 == "package" { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_ENCODINGS := $(foreach i, \
			$(filter-out \
			  big5% bz2% cp932.py cp949.py cp950.py euc_% \
			  gb% iso2022% johab.py shift_jis% , \
			  $(shell cd Lib/encodings && echo *.py)), \
			encodings/$(i)) \
		 codecs.py stringprep.py

with_tk := no
with_interp := static
#with_interp := shared

PY_INTERPRETER = /usr/bin/python$(VER)

ifeq ($(DEFAULT_VERSION),yes)
  PY_PRIO = standard
  #PYSTDDEP = , python (>= $(VER))
else
  PY_PRIO = optional
endif
ifeq ($(distribution),Ubuntu)
  PY_MINPRIO = required
  PY_MINPRIO = optional
  with_fpectl = yes
  #with_udeb = yes
else
  PY_MINPRIO = $(PY_PRIO)
  with_fpectl = yes
endif
ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric))
  bd_qual = :any
endif
ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric))
  ma_filter = cat
else
  ma_filter = grep -v '^Multi-Arch:'
endif
ifneq (,$(filter $(distrelease),sid experimental))
  bd_gcc =
endif
ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_dpkgdev = dpkg-dev (>= 1.17.11),
endif

CC=$(DEB_HOST_GNU_TYPE)-gcc
CXX=$(DEB_HOST_GNU_TYPE)-g++

AR=$(DEB_HOST_GNU_TYPE)-ar
RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib

DPKG_CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
DPKG_CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
DPKG_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
OPT_CFLAGS   := $(filter-out -O%,$(DPKG_CFLAGS)) # default is -O3
DEBUG_CFLAGS := $(patsubst -O%,-Og,$(DPKG_CFLAGS))

# on alpha, use -O2 only, use -mieee
ifeq ($(DEB_HOST_ARCH),alpha)
    OPT_CFLAGS += -mieee
    DEBUG_CFLAGS += -mieee
    EXTRA_OPT_FLAGS += -O2
endif
ifeq ($(DEB_HOST_ARCH),m68k)
    EXTRA_OPT_FLAGS += -O2
endif

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 powerpc ppc64 ppc64el s390x))
      with_pgo := yes
    endif
  endif
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 powerpc ppc64 ppc64el s390x))
  with_lto := yes
endif

ifeq ($(distribution),Debian)
  # FIXME: https://buildd.debian.org/status/logs.php?pkg=python3.5&ver=3.5.1-1&arch=s390x&suite=sid
  with_lto := $(if $(filter $(DEB_HOST_ARCH), s390x),,$(with_lto))
endif

ifneq (,$(findstring noopt, $(DEB_BUILD_OPTIONS)))
    OPT_CFLAGS := $(filter-out -O%, $(OPT_CFLAGS))
    EXTRA_OPT_CFLAGS = -O0
    with_pgo =
    with_lto =
endif

    with_pgo =
    with_lto =

ifeq ($(with_lto),yes)
    LTO_CFLAGS = -g -flto -fuse-linker-plugin
    with_fat_lto := $(shell dpkg --compare-versions $$($(CC) --version \
			| sed -n '/^$(CC)/s,.* ,,p') ge 4.9 && echo yes)
    ifeq ($(with_fat_lto),yes)
      LTO_CFLAGS += -ffat-lto-objects
    endif
    EXTRA_OPT_CFLAGS += $(LTO_CFLAGS)
    AR=$(DEB_HOST_GNU_TYPE)-gcc-ar
    RANLIB=$(DEB_HOST_GNU_TYPE)-gcc-ranlib
endif

make_build_target = $(if $(with_pgo),profile-opt)

buildd_static	:= $(CURDIR)/build-static
buildd_shared	:= $(CURDIR)/build-shared
buildd_debug	:= $(CURDIR)/build-debug
buildd_shdebug	:= $(CURDIR)/build-shdebug

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

# package names and directories
p_base	:= $(PVER)
p_min	:= $(PVER)-minimal
p_lib	:= lib$(PVER)
p_tk	:= $(PVER)-tk
p_dev	:= $(PVER)-dev
p_exam	:= $(PVER)-examples
p_idle	:= idle-$(PVER)
p_doc	:= $(PVER)-doc
p_dbg	:= $(PVER)-dbg
p_udeb	:= $(PVER)-udeb
p_venv	:= $(PVER)-venv

p_lbase	:= lib$(PVER)-stdlib
p_lmin	:= lib$(PVER)-minimal
p_ldev	:= lib$(PVER)-dev
p_ldbg	:= lib$(PVER)-dbg
p_ltst	:= lib$(PVER)-testsuite

d_base	:= debian/$(p_base)
d_min	:= debian/$(p_min)
d_lib	:= debian/$(p_lib)
d_tk	:= debian/$(p_tk)
d_dev	:= debian/$(p_dev)
d_exam	:= debian/$(p_exam)
d_idle	:= debian/$(p_idle)
d_doc	:= debian/$(p_doc)
d_dbg	:= debian/$(p_dbg)
d_udeb	:= debian/$(p_udeb)
d_venv	:= debian/$(p_venv)

d_lbase	:= debian/$(p_lbase)
d_lmin	:= debian/$(p_lmin)
d_ldev	:= debian/$(p_ldev)
d_ldbg	:= debian/$(p_ldbg)
d_ltst	:= debian/$(p_ltst)

build-arch: stamps/stamp-build
build-indep: stamps/stamp-build-doc
build: build-arch
stamps/stamp-build: stamps/stamp-build-static stamps/stamp-mincheck \

## python3.6 3.6.1

=== Doc/Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 #
 
 # You can set these variables from the command line.
-PYTHON       = python
+PYTHON       = python3
 SPHINXBUILD  = sphinx-build
 PAPER        =
 SOURCES      =
 DISTVERSION  = $(shell $(PYTHON) tools/extensions/patchlevel.py)
 
-ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees -D latex_paper_size=$(PAPER) \
+ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees -D latex_elements.papersize=$(PAPER) \
                 $(SPHINXOPTS) . build/$(BUILDER) $(SOURCES)
 
 .PHONY: help build html htmlhelp latex text changes linkcheck \
@@ -153,7 +153,7 @@
 	cp -pPR build/epub/Python.epub dist/python-$(DISTVERSION)-docs.epub
 
 check:
-	$(PYTHON) tools/rstlint.py -i tools -i venv
+	$(PYTHON) tools/rstlint.py -i tools -i venv -i README.rst
 
 serve:
 	../Tools/scripts/serve.py build/html
@@ -162,12 +162,12 @@
 
 # for development releases: always build
 autobuild-dev:
-	make dist SPHINXOPTS='-A daily=1 -A versionswitcher=1'
+	make dist SPHINXOPTS='$(SPHINXOPTS) -A daily=1 -A versionswitcher=1'
 	-make suspicious
 
 # for quick rebuilds (HTML only)
 autobuild-dev-html:
-	make html SPHINXOPTS='-A daily=1 -A versionswitcher=1'
+	make html SPHINXOPTS='$(SPHINXOPTS) -A daily=1 -A versionswitcher=1'
 
 # for stable releases: only build if not in pre-release stage (alpha, beta)
 # release candidate downloads are okay, since the stable tree can be in that stage

=== debian/changelog ===
python3.6 (3.6.1-1) unstable; urgency=medium

  * Python 3.6.1 release.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Mar 2017 07:17:05 +0100

python3.6 (3.6.1~rc1-1) unstable; urgency=medium

  * Python 3.6.1 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Mar 2017 13:34:53 +0100

python3.6 (3.6.0-2) experimental; urgency=medium

  * Update to 20170203 from the 3.6 branch.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Feb 2017 09:23:51 +0100

python3.6 (3.6.0-1) experimental; urgency=medium

  * Python 3.6.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Dec 2016 05:29:02 +0100

python3.6 (3.6.0~rc1-1) experimental; urgency=medium

  * Python 3.6.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Dec 2016 09:56:22 +0100

python3.6 (3.6.0~b4-1) experimental; urgency=medium

  * Python 3.6.0 beta 4.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Nov 2016 14:41:03 +0100

python3.6 (3.6.0~b3-1) experimental; urgency=medium

  * Python 3.6.0 beta 3.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 14:33:32 +0200

=== debian/control ===
Source: python3.6
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
  quilt, autoconf,
  lsb-release, sharutils,
  libreadline-dev, libncursesw5-dev (>= 5.3), 
  zlib1g-dev, libbz2-dev, liblzma-dev,
  libgdbm-dev, libdb-dev,
  tk-dev, blt-dev (>= 2.4z), libssl-dev,
  libexpat1-dev, libmpdec-dev (>= 2.4),
  libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  locales [!armel !avr32 !hppa !ia64 !mipsel],
  libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
  libgpm2 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  mime-support, netbase, bzip2, time, python3:any,
  net-tools, xvfb, xauth
Build-Depends-Indep: python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.6-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.6-debian
XS-Testsuite: autopkgtest

Package: python3.6
Architecture: any
Multi-Arch: allowed
Priority: optional
Depends: python3.6-minimal (= ${binary:Version}), libpython3.6-stdlib (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3.6-venv, python3.6-doc, binutils
Description: Interactive high-level object-oriented language (version 3.6)
 Python is a high-level, interactive, object-oriented language. Its 3.6 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.

Package: python3.6-venv
Architecture: any
Multi-Arch: allowed
Priority: optional
Depends: python3.6 (= ${binary:Version}),
 python-pip-whl (>= 8.1.0-2), ${shlibs:Depends}, ${misc:Depends},
Breaks: python3-pip (<< 1.5.6-4)
Description: Interactive high-level object-oriented language (pyvenv binary, version 3.6)
 Python is a high-level, interactive, object-oriented language. Its 3.6 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the pyvenv-3.6 binary.

Package: libpython3.6-stdlib
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.6-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
Breaks: libmpdec2 (<< 2.4.2)
Description: Interactive high-level object-oriented language (standard library, version 3.6)
 Python is a high-level, interactive, object-oriented language. Its 3.6 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains Python 3.6's standard library. It is normally not
 used on its own, but as a dependency of python3.6.

Package: python3.6-minimal
Architecture: any
Multi-Arch: allowed
Priority: optional
Pre-Depends: ${shlibs:Pre-Depends}
Depends: libpython3.6-minimal (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: python3.6
Suggests: binfmt-support
Conflicts: binfmt-support (<< 1.1.2)
Description: Minimal subset of the Python language (version 3.6)
 This package contains the interpreter and some essential modules.  It can
 be used in the boot process for some basic tasks.
 See /usr/share/doc/python3.6-minimal/README.Debian for a list of the modules
 contained in this package.

Package: libpython3.6-minimal
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libpython3.6-stdlib
Conflicts: binfmt-support (<< 1.1.2)
Description: Minimal subset of the Python language (version 3.6)
 This package contains some essential modules. It is normally not
 used on it's own, but as a dependency of python3.6-minimal.

Package: libpython3.6
Architecture: any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.6-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Shared Python runtime library (version 3.6)
 Python is a high-level, interactive, object-oriented language. Its 3.6 version
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the shared runtime library, normally not needed
 for programs using the statically linked interpreter.

Package: python3.6-examples
Architecture: all
Depends: python3.6 (>= ${source:Version}), ${misc:Depends}
Description: Examples for the Python language (v3.6)
 Examples, Demos and Tools for Python (v3.6). These are files included in
 the upstream Python distribution (v3.6).

Package: python3.6-dev
Architecture: any
Multi-Arch: allowed
Depends: python3.6 (= ${binary:Version}), libpython3.6-dev (= ${binary:Version}), libpython3.6 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
Recommends: libc6-dev | libc-dev
Description: Header files and a static library for Python (v3.6)
 Header files, a static library and development tools for building
 Python (v3.6) modules, extending the Python interpreter or embedding
 Python (v3.6) in applications.
 .
 Maintainers of Python packages should read README.maintainers.

Package: libpython3.6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.6-stdlib (= ${binary:Version}), libpython3.6 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
Recommends: libc6-dev | libc-dev
Description: Header files and a static library for Python (v3.6)
 Header files, a static library and development tools for building
 Python (v3.6) modules, extending the Python interpreter or embedding
 Python (v3.6) in applications.
 .
 Maintainers of Python packages should read README.maintainers.
 .
 This package contains development files. It is normally not
 used on it's own, but as a dependency of python3.6-dev.

Package: libpython3.6-testsuite
Section: libdevel
Architecture: all
Depends: python3.6 (>= ${binary:Version}), ${misc:Depends}, net-tools
Suggests: python3-gdbm, python3-tk
Description: Testsuite for the Python standard library (v3.6)
 The complete testsuite for the Python standard library.  Note that
 a subset is found in the libpython3.6-stdlib package, which should
 be enough for other packages to use (please do not build-depend
 on this package, but file a bug report to include additional 
 testsuite files in the libpython3.6-stdlib package).

Package: idle-python3.6
Architecture: all
Depends: python3.6, python3-tk, python3.6-tk, ${misc:Depends}
Enhances: python3.6
Description: IDE for Python (v3.6) using Tkinter
 IDLE is an Integrated Development Environment for Python (v3.6).
 IDLE is written using Tkinter and therefore quite platform-independent.

Package: python3.6-doc
Section: doc
Architecture: all
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: python3.6
Description: Documentation for the high-level object-oriented language Python (v3.6)
 These is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.6). All documents are provided
 in HTML format. The package consists of ten documents:
 .
   * What's New in Python3.6
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules

Package: python3.6-dbg
Section: debug
Architecture: any
Multi-Arch: allowed
Priority: extra
Depends: python3.6 (= ${binary:Version}), libpython3.6-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: gdb
Suggests: python3-gdbm-dbg, python3-tk-dbg
Description: Debug Build of the Python Interpreter (version 3.6)
 The package holds two things:
 .
 - A Python interpreter configured with --pydebug. Dynamically loaded modules
   are searched as <foo>_d.so first. Third party extensions need a separate
   build to be used by this interpreter.
 - Debug information for standard python interpreter and extensions.
 .
 See the README.debug for more information.

Package: libpython3.6-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: libpython3.6-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debug Build of the Python Interpreter (version 3.6)
 The package holds two things:
 .
 - Extensions for a Python interpreter configured with --pydebug.
 - Debug information for standard python extensions.
 .
 See the README.debug for more information.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES
 unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS
+export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
+DEB_BUILD_MAINT_OPTIONS := hardening=-pie
+export DEB_BUILD_MAINT_OPTIONS
+
+#DEB_MAINT_BUILD_OPTIONS := hardening=-pie
+#export DEB_MAINT_BUILD_OPTIONS
 
 export SHELL = /bin/bash
 
@@ -151,10 +158,13 @@
 RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib
 
 DPKG_CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
-DPKG_CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
-DPKG_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+DPKG_CFLAGS  = $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-pie dpkg-buildflags --get CFLAGS)
+DPKG_LDFLAGS := $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-pie dpkg-buildflags --get LDFLAGS)
 OPT_CFLAGS   := $(filter-out -O%,$(DPKG_CFLAGS)) # default is -O3
 DEBUG_CFLAGS := $(patsubst -O%,-Og,$(DPKG_CFLAGS))
+
+$(warning XXXXX CFLAGS: $(DPKG_CFLAGS))
+$(warning XXXXX LDFLAGS: $(DPKG_LDFLAGS))
 
 # on alpha, use -O2 only, use -mieee
 ifeq ($(DEB_HOST_ARCH),alpha)
@@ -244,17 +254,3 @@
 d_exam	:= debian/$(p_exam)
 d_idle	:= debian/$(p_idle)
 d_doc	:= debian/$(p_doc)
-d_dbg	:= debian/$(p_dbg)
-d_udeb	:= debian/$(p_udeb)
-d_venv	:= debian/$(p_venv)
-
-d_lbase	:= debian/$(p_lbase)
-d_lmin	:= debian/$(p_lmin)
-d_ldev	:= debian/$(p_ldev)
-d_ldbg	:= debian/$(p_ldbg)
-d_ltst	:= debian/$(p_ltst)
-
-build-arch: stamps/stamp-build
-build-indep: stamps/stamp-build-doc
-build: build-arch
-stamps/stamp-build: stamps/stamp-build-static stamps/stamp-mincheck \

## python3.6 3.6.3

=== debian/changelog ===
python3.6 (3.6.3-1ubuntu1) artful; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Oct 2017 23:45:48 +0200

python3.6 (3.6.3-1) unstable; urgency=medium

  * Python 3.6.3 release.
  * Don't run test_platform/test_linux_distribution_encoding, Fedora only.
  * test_*: Run tests with TLSv1_2.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Oct 2017 23:16:13 +0200

python3.6 (3.6.2-5) unstable; urgency=medium

  * Fix symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2017 22:23:28 +0200

python3.6 (3.6.2-4) unstable; urgency=medium

  * Add package breaks for extensions referencing symbols for the removed
    _PyFPE module. Addresses: #873921.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2017 21:20:29 +0200

python3.6 (3.6.2-3) unstable; urgency=medium

  * Stop building the fpectl extension.
  * Break python3-numpy (<< 1:1.12.1-3.1), referencing the now missing fpectl
    modules. Closes: #873791.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Aug 2017 15:37:24 +0200

python3.6 (3.6.2-2) unstable; urgency=medium

  * Move test_support.py and libregrtest from libpython3.6-testsuite to
    libpython3.6-stdlib.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Aug 2017 10:35:04 -0400

python3.6 (3.6.2-1) unstable; urgency=medium

  * Python 3.6.2 release.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Jul 2017 15:39:29 +0200

python3.6 (3.6.2~rc2-2) unstable; urgency=medium

  * Python 3.6.2 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Jul 2017 16:29:22 +0200

python3.6 (3.6.2~rc1-1) unstable; urgency=medium

  * Python 3.6.2 release candidate 1.
  * Update symbols files.
  * Build using -fexceptions on ppc64 and ppc64el.
    Addresses: #862925. LP: #1691848.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2017 14:51:36 +0200

python3.6 (3.6.1-2) unstable; urgency=medium

  * Update to 20170607 from the 3.6 branch.
  * Explicitly use the system python for byte compilation in postinst scripts.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Jun 2017 12:00:24 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python3.6
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -17,7 +18,7 @@
   mime-support, netbase, bzip2, time, python3:any,
   net-tools, xvfb, xauth
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.6-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.6-debian
 XS-Testsuite: autopkgtest
@@ -53,7 +54,8 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.6-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libmpdec2 (<< 2.4.2)
+Breaks: libmpdec2 (<< 2.4.2), python3-numpy (<< 1:1.12.1-3.1), python3-tk (<< 3.6.2-1~), 
+Replaces: libpython3.6-testsuite (<< 3.6.2-2)
 Description: Interactive high-level object-oriented language (standard library, version 3.6)
  Python is a high-level, interactive, object-oriented language. Its 3.6 version
  includes an extensive class library with lots of goodies for
@@ -106,7 +108,8 @@
 
 Package: python3.6-examples
 Architecture: all
-Depends: python3.6 (>= ${source:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: python3.6:any (>= ${source:Version}), ${misc:Depends}
 Description: Examples for the Python language (v3.6)
  Examples, Demos and Tools for Python (v3.6). These are files included in
  the upstream Python distribution (v3.6).
@@ -163,6 +166,7 @@
 Package: python3.6-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
 Suggests: python3.6
 Description: Documentation for the high-level object-oriented language Python (v3.6)

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES
 unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS
+
 export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
 export DEB_BUILD_MAINT_OPTIONS=hardening=-pie
 DEB_BUILD_MAINT_OPTIONS := hardening=-pie
@@ -74,8 +75,6 @@
   WITHOUT_CHECK := yes
   WITHOUT_STONE := yes
 endif
-  WITHOUT_CHECK := yes
-  WITHOUT_BENCH := yes
 
 COMMA = ,
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
@@ -84,6 +83,9 @@
 
 distribution := $(shell lsb_release -is)
 distrelease  := $(shell lsb_release -cs)
+derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
+		elif dpkg-vendor --derives-from Debian; then echo Debian; \
+		else echo Unknown; fi)
 
 VER=3.6
 SVER=3.6.0~b2
@@ -130,11 +132,9 @@
 ifeq ($(distribution),Ubuntu)
   PY_MINPRIO = required
   PY_MINPRIO = optional
-  with_fpectl = yes
   #with_udeb = yes
 else
   PY_MINPRIO = $(PY_PRIO)
-  with_fpectl = yes
 endif
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric))
   bd_qual = :any
@@ -174,6 +174,10 @@
 endif
 ifeq ($(DEB_HOST_ARCH),m68k)
     EXTRA_OPT_FLAGS += -O2
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64 ppc64el))
+    OPT_CFLAGS += -fexceptions
+    DEBUG_CFLAGS += -fexceptions
 endif
 
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -246,11 +250,3 @@
 p_ldbg	:= lib$(PVER)-dbg
 p_ltst	:= lib$(PVER)-testsuite
 
-d_base	:= debian/$(p_base)
-d_min	:= debian/$(p_min)
-d_lib	:= debian/$(p_lib)
-d_tk	:= debian/$(p_tk)
-d_dev	:= debian/$(p_dev)
-d_exam	:= debian/$(p_exam)
-d_idle	:= debian/$(p_idle)
-d_doc	:= debian/$(p_doc)

## python3.6 3.6.5~rc1

=== debian/changelog ===
python3.6 (3.6.5~rc1-1) unstable; urgency=medium

  * Python 3.6.5 release candidate 1.
    - Fix issue #32185: The SSL module no longer sends IP addresses in SNI TLS
      extension on platforms with OpenSSL 1.0.2+ or inet_pton. See #892814.
    - XXX check https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=890844
  * Add support for riscv64 (Aurelien Jarno). Closes: #892328.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Mar 2018 07:54:23 +0100

python3.6 (3.6.4-4) unstable; urgency=medium

  * Update to 20180212 from the 3.6 branch.
  * Add test_idle as expected to fail in the autopkg tests.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Feb 2018 09:25:03 +0100

python3.6 (3.6.4-3) unstable; urgency=medium

  * Stop building python3.6-2to3, now replaced by 2to3 and python3-lib2to3.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jan 2018 03:13:53 +0100

python3.6 (3.6.4-2) unstable; urgency=medium

  * Stop shipping lib2to3, now shipped in python3-lib2to3.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2017 14:02:49 +0100

python3.6 (3.6.4-1) unstable; urgency=medium

  * Python 3.6.4 release.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Dec 2017 15:09:48 +0100

python3.6 (3.6.4~rc1-2) unstable; urgency=medium

  * Build documentation in info format (Benjamin Moody). Closes: #881959.
  * Split out a python3.6-2to3 package.
  * Stop shipping the tkinter and distutils modules in libpython3.6-stdlib.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2017 12:08:21 +0100

python3.6 (3.6.4~rc1-1) unstable; urgency=medium

  * Python 3.6.4 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2017 11:08:29 +0100

python3.6 (3.6.3-2) unstable; urgency=medium

  * Update to 20171205 from the 3.6 branch.
  * Add support for mipsr6 triplets (YunQiang Su). Closes: #881942.
  * Move the idle library into the idle-python3.6 package.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 11:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python3.6
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
@@ -17,8 +16,8 @@
   libgpm2 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
   mime-support, netbase, bzip2, time, python3:any,
   net-tools, xvfb, xauth
-Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.1.0
+Build-Depends-Indep: python3-sphinx, texinfo
+Standards-Version: 4.1.3
 Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.6-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.6-debian
 XS-Testsuite: autopkgtest
@@ -27,7 +26,11 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: optional
-Depends: python3.6-minimal (= ${binary:Version}), libpython3.6-stdlib (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3.6-minimal (= ${binary:Version}),
+ libpython3.6-stdlib (= ${binary:Version}),
+ python3-distutils,
+ mime-support,
+ ${shlibs:Depends}, ${misc:Depends}
 Suggests: python3.6-venv, python3.6-doc, binutils
 Description: Interactive high-level object-oriented language (version 3.6)
  Python is a high-level, interactive, object-oriented language. Its 3.6 version
@@ -54,7 +57,7 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.6-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
-Breaks: libmpdec2 (<< 2.4.2), python3-numpy (<< 1:1.12.1-3.1), python3-tk (<< 3.6.2-1~), 
+Breaks: python3-tk (<< 3.6.4~rc1-2), libmpdec2 (<< 2.4.2), cython3 (<< 0.26-2.1), python3-lxml (<< 3.8.0-2), python3-numpy (<< 1:1.12.1-3.1), python3-tk (<< 3.6.2-1~), python3-scipy (<< 0.18.1-2.1), borgbackup (<= 1.0.11-3), python3-acora (<= 2.0-2+b1), python3-adios (<= 1.12.0-3), python3-astroml-addons (<= 0.2.2-4), python3-astropy (<= 2.0.1-2), python3-astroscrappy (<= 1.0.5-1+b1), python3-asyncpg (<= 0.12.0-1), python3-bcolz (<= 1.1.0+ds1-4+b1), python3-brainstorm (<= 0.5-3+b1), python3-cartopy (<= 0.14.2+dfsg1-2+b1), python3-cutadapt (<= 1.13-1+b1), python3-djvu (<= 0.8-2), python3-fabio (<= 0.4.0+dfsg-2+b1), python3-falcon (<= 1.0.0-2+b1), python3-fiona (<= 1.7.9-1), python3-grib (<= 2.0.2-2), python3-gssapi (<= 1.2.0-1+b1), python3-h5py (<= 2.7.0-1+b1), python3-healpy (<= 1.10.3-2+b1), python3-kivy (<= 1.9.1-1+b1), python3-libdiscid (<= 1.0-1+b1), python3-liblo (<= 0.10.0-3+b1), python3-llfuse (<= 1.2+dfsg-1+b1), python3-ltfatpy (<= 1.0.9-1), python3-netcdf4 (<= 1.2.9-1+b1), python3-pandas-lib (<= 0.20.3-1), python3-petsc4py (<= 3.7.0-3+b1), python3-pybedtools (<= 0.7.8-1), python3-pyfai (<= 0.13.0+dfsg-1+b1), python3-pygpu (<= 0.6.9-2), python3-pymca5 (<= 5.1.3+dfsg-1+b1), python3-pymssql (<= 2.1.3+dfsg-1+b1), python3-pyresample (<= 1.5.0-3+b1), python3-pysam (<= 0.11.2.2+ds-3), python3-pywt (<= 0.5.1-1.1+b1), python3-rasterio (<= 0.36.0-2+b2), python3-sfml (<= 2.2~git20150611.196c88+dfsg-4), python3-shapely (<= 1.6.1-1), python3-skbio (<= 0.5.1-2+b1), python3-skimage-lib (<= 0.12.3-9+b1), python3-sklearn-lib (<= 0.19.0-1), python3-specutils (<= 0.2.2-1+b1), python3-stemmer (<= 1.3.0+dfsg-1+b7), python3-tables-lib (<= 3.3.0-5+b1), python3-tinycss (<= 0.4-1+b1), python3-wheezy.template (<= 0.1.167-1.1+b1), python3-yt (<= 3.3.3-2+b1), 
 Replaces: libpython3.6-testsuite (<< 3.6.2-2)
 Description: Interactive high-level object-oriented language (standard library, version 3.6)
  Python is a high-level, interactive, object-oriented language. Its 3.6 version
@@ -159,6 +162,8 @@
 Architecture: all
 Depends: python3.6, python3-tk, python3.6-tk, ${misc:Depends}
 Enhances: python3.6
+Breaks: libpython3.6-stdlib (<< 3.6.3-2)
+Replaces: libpython3.6-stdlib (<< 3.6.3-2)
 Description: IDE for Python (v3.6) using Tkinter
  IDLE is an Integrated Development Environment for Python (v3.6).
  IDLE is written using Tkinter and therefore quite platform-independent.
@@ -189,7 +194,6 @@
 Section: debug
 Architecture: any
 Multi-Arch: allowed
-Priority: extra
 Depends: python3.6 (= ${binary:Version}), libpython3.6-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: gdb
 Suggests: python3-gdbm-dbg, python3-tk-dbg
@@ -207,7 +211,6 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libpython3.6-stdlib (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Debug Build of the Python Interpreter (version 3.6)

=== debian/rules ===
--- 
+++ 
@@ -82,13 +82,15 @@
 endif
 
 distribution := $(shell lsb_release -is)
+distribution := Debian
 distrelease  := $(shell lsb_release -cs)
+distrelease  := sid
 derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
 		elif dpkg-vendor --derives-from Debian; then echo Debian; \
 		else echo Unknown; fi)
 
 VER=3.6
-SVER=3.6.0~b2
+SVER=3.6.4~rc1
 NVER=3.7
 PVER=python$(VER)
 EXT_VER=$(subst .,,$(VER))
@@ -248,5 +250,3 @@
 p_lmin	:= lib$(PVER)-minimal
 p_ldev	:= lib$(PVER)-dev
 p_ldbg	:= lib$(PVER)-dbg
-p_ltst	:= lib$(PVER)-testsuite
-

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, locales, python3.6-dev, python3.6-2to3, libpython3.6-testsuite, python3-gdbm, python3-distutils
# need to turn off apport
Restrictions: needs-root

Tests: testsuite-dbg
Depends: build-essential, locales, python3.6-dev, python3.6-dbg, python3.6-2to3, libpython3.6-testsuite, python3-gdbm-dbg, gdb, python3-distutils
# need to turn off apport
Restrictions: needs-root

Tests: failing-tests
Depends: build-essential, locales, python3.6-dev, python3.6-2to3, libpython3.6-testsuite, python3-gdbm, python3-distutils
# need to turn off apport
Restrictions: needs-root allow-stderr

Tests: failing-tests-dbg
Depends: build-essential, locales, python3.6-dev, python3.6-dbg, python3.6-2to3, libpython3.6-testsuite, python3-gdbm-dbg, gdb, python3-distutils
# need to turn off apport
Restrictions: needs-root allow-stderr
